<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Mon May 18 20:28:05 EEST 2020 -->
<title>Serialized Form</title>
<meta name="date" content="2020-05-18">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<script type="text/javascript" src="script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Serialized Form";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?serialized-form.html" target="_top">Frames</a></li>
<li><a href="serialized-form.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Serialized Form" class="title">Serialized Form</h1>
</div>
<div class="serializedFormContainer">
<ul class="blockList">
<li class="blockList">
<h2 title="Package">Package&nbsp;Controller</h2>
<ul class="blockList">
<li class="blockList"><a name="Controller.FileWriterr">
<!--   -->
</a>
<h3>Class <a href="Controller/FileWriterr.html" title="class in Controller">Controller.FileWriterr</a> extends java.lang.Object implements Serializable</h3>
</li>
</ul>
</li>
<li class="blockList">
<h2 title="Package">Package&nbsp;Model</h2>
<ul class="blockList">
<li class="blockList"><a name="Model.Order">
<!--   -->
</a>
<h3>Class <a href="Model/Order.html" title="class in Model">Model.Order</a> extends java.lang.Object implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>orderId</h4>
<pre>int orderId</pre>
</li>
<li class="blockList">
<h4>date</h4>
<pre>java.lang.String date</pre>
</li>
<li class="blockList">
<h4>table</h4>
<pre>int table</pre>
</li>
<li class="blockListLast">
<h4>oItems</h4>
<pre>java.util.HashMap&lt;K,V&gt; oItems</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="Model.Restaurant">
<!--   -->
</a>
<h3>Class <a href="Model/Restaurant.html" title="class in Model">Model.Restaurant</a> extends java.lang.Object implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>menu</h4>
<pre><a href="Model/menuitems/CompositeProduct.html" title="class in Model.menuitems">CompositeProduct</a> menu</pre>
</li>
<li class="blockList">
<h4>orders</h4>
<pre>java.util.ArrayList&lt;E&gt; orders</pre>
</li>
<li class="blockList">
<h4>fr</h4>
<pre><a href="Controller/FileWriterr.html" title="class in Controller">FileWriterr</a> fr</pre>
</li>
<li class="blockListLast">
<h4>observers</h4>
<pre>java.util.ArrayList&lt;E&gt; observers</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList">
<h2 title="Package">Package&nbsp;Model.menuitems</h2>
<ul class="blockList">
<li class="blockList"><a name="Model.menuitems.BaseProduct">
<!--   -->
</a>
<h3>Class <a href="Model/menuitems/BaseProduct.html" title="class in Model.menuitems">Model.menuitems.BaseProduct</a> extends java.lang.Object implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>name</h4>
<pre>java.lang.String name</pre>
</li>
<li class="blockListLast">
<h4>price</h4>
<pre>double price</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="Model.menuitems.CompositeProduct">
<!--   -->
</a>
<h3>Class <a href="Model/menuitems/CompositeProduct.html" title="class in Model.menuitems">Model.menuitems.CompositeProduct</a> extends java.lang.Object implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockListLast">
<h4>items</h4>
<pre>java.util.ArrayList&lt;E&gt; items</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList">
<h2 title="Package">Package&nbsp;View</h2>
<ul class="blockList">
<li class="blockList"><a name="View.ChefGUI">
<!--   -->
</a>
<h3>Class <a href="View/ChefGUI.html" title="class in View">View.ChefGUI</a> extends java.lang.Object implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>listModel</h4>
<pre>javax.swing.DefaultListModel&lt;E&gt; listModel</pre>
</li>
<li class="blockList">
<h4>list</h4>
<pre>javax.swing.JList&lt;E&gt; list</pre>
</li>
<li class="blockListLast">
<h4>irp</h4>
<pre><a href="Model/Restaurant.html" title="class in Model">Restaurant</a> irp</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="View.MainView">
<!--   -->
</a>
<h3>Class <a href="View/MainView.html" title="class in View">View.MainView</a> extends javax.swing.JFrame implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>admin</h4>
<pre>javax.swing.JButton admin</pre>
</li>
<li class="blockList">
<h4>chef</h4>
<pre>javax.swing.JButton chef</pre>
</li>
<li class="blockList">
<h4>waiter</h4>
<pre>javax.swing.JButton waiter</pre>
</li>
<li class="blockList">
<h4>control</h4>
<pre>javax.swing.JPanel control</pre>
</li>
<li class="blockListLast">
<h4>main</h4>
<pre>javax.swing.JPanel main</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?serialized-form.html" target="_top">Frames</a></li>
<li><a href="serialized-form.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
